Subject: Re: [Ianaplan] Pete Resnick's Yes on draft-ietf-ianaplan-icg-response-06: (with COMMENT)

From: Eliot Lear <[email-masked]>
Date: Mon, 15 Dec 2014 18:59:49 +0100

Hi Pete,

On 12/15/14, 4:09 PM, Pete Resnick wrote:
> I'm absolutely fine with this going forward as-is caveat one question
> below. Otherwise, my other four comments are completely
> stylistic/editorial that I found during my final review: If the WG finds
> them useful, great, but if you don't change them, I will still be fine
> with the document going forward as-is.
>
> First my question: In section 2, you say:
>
>    >>> An assessment of the level of consensus behind your community's
>    >>> proposal, including a description of areas of contention or
>    >>> disagreement.
>    >>>
>
>    IETF Response: To be completed as the process progresses.
>
> Is the IESG being asked to fill that in at the end of the process? I
> think that's a reasonable choice, but I wanted to make sure that someone
> had the token. You should probably add a note here to indicate who is
> expected to draft that text.

Jari is on the hook for this.

>
> Now, as to the editorial comments:
>
> In section 1, "the three functional areas" are not identified in the
> first paragraph of the intro. Perhaps they should be?

I propose the text of that sentence to read:

     The ICG in turn solicited proposals
      regarding post-transition arrangements from the names, numbers,
      and protocol parameters communities in order to put forth a
      proposal to the NTIA.
>
> In section 2, I thought that:
>
>    The IETF is a global organization that produces voluntary standards,
>    whose goal is to make the Internet work better [RFC3595].
>
> sounded a bit cheesy. I think it would sound more professional to use the
> full mission statement from 3935 instead of the goal statement:
>
>    The IETF is a global organization that produces voluntary standards,
>    whose mission is to produce high quality, relevant technical and
>    engineering documents that influence the way people design, use, and
>    manage the Internet in such a way as to make the Internet work
>    better [RFC3595].
>
> Maybe too much of a mouthful, but I think it sounds better. Entirely up
> to the WG.

First, I'll note that I have fixed the reference mentioned (that was a
regression – the IETF is not a MIB, as SM pointed out).  Second, while I
have a slight preference for fewer words, I am not fussed either way,
and so I am not inclined to push back.  If others feel strongly, they
should speak up.

>
> Also in section 2:
>
>    >>> VI.  Community Process
>    >>>
>    >>> This section should describe the process your community used for
>    >>> developing this proposal, including:
>    >>>
>    >>> o The steps that were taken to develop the proposal and to
>    >>>   determine consensus.
>    >>>
>
>    IETF Response:
>
>    The IESG established the IANAPLAN working group to develop this
>    response.  Anyone was welcome to join the discussion and participate
>    in the development of this response.  An open mailing list
>    ([email-masked]) was associated with the working group.  In
>    addition, IETF's IANA practices have been discussed in the broader
>    community, and all input is welcome.
>    
> The simple editorial point is that everything else is in the past tense
> except for the the last sentence, which switches from present perfect to
> present. Present perfect seems right for everything except the first
> sentence. The other point about this is that it doesn't quite answer the
> question about the steps taken to determine consensus. Here's a suggested
> replacement; the stuff in curly braces is if the group thinks it's worth
> being more explicit:
>
>    IETF Response:
>
>    The IESG established the IANAPLAN working group to develop this
>    response.  Anyone has been welcome to join the discussion and
>    participate in the development of this response.  An open mailing
>    list ([email-masked]) has been associated with the working group.
>    In addition, IETF's IANA practices have been discussed in the broader
>    community, and all input has been welcome. Normal IETF procedures 
>    [RFC2026] [RFC2418] were used to determine rough consensus{: The
>    chairs of the working group reviewed open issues and, after an
>    internal working group last call, determined that all had been
>    satisfactorily addressed, and subsequently the IESG did a formal
>    IETF-wide Last Call followed by a formal review and determined that
>    the document had rough consensus}.

I propose to include the text you've written above (along with the
content in the {}).

> Finally, one last editorial bit: When providing the links to
> announcements, I suggest using the mailarchive.ietf.org ones instead of
> the mailman ones (which appear in the "Archived-at:" of each message).
> The mailarchive.ietf.org links I believe are intended to be the place to
> find mail over the long term.

I propose to make the above edits to the URLs.

Eliot

---

From: "Pete Resnick" <[email-masked]>
Date: Mon, 15 Dec 2014 07:09:43 -0800

Pete Resnick has entered the following ballot position for
draft-ietf-ianaplan-icg-response-06: Yes

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to http://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
http://datatracker.ietf.org/doc/draft-ietf-ianaplan-icg-response/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

   IETF Response:

   IETF Response: